Package com.emc.d2fs.service.workflow.enums

# Enum WorkflowStates

java.lang.Object
java.lang.Enum<WorkflowStates>
com.emc.d2fs.service.workflow.enums.WorkflowStates

All Implemented Interfaces:
  `Serializable`, `Comparable<WorkflowStates>`, `java.lang.constant.Constable`

public enum WorkflowStates extends Enum<WorkflowStates>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `aborted`
  `finished`
  `paused`
  `running`
  `scheduled`
  `UNKNOWN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WorkflowStates`
  `getType(Integer value)`
  `int`
  `getValue()`
  `static WorkflowStates`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static WorkflowStates[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### scheduled

    public static final WorkflowStates scheduled

  - ### running

    public static final WorkflowStates running

  - ### finished

    public static final WorkflowStates finished

  - ### paused

    public static final WorkflowStates paused

  - ### aborted

    public static final WorkflowStates aborted

  - ### UNKNOWN

    public static final WorkflowStates UNKNOWN

- ## Method Details

  - ### values

    public static WorkflowStates[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static WorkflowStates valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public int getValue()

  - ### getType

    public static WorkflowStates getType(Integer value)